> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update source

> Update the source of an application



## OpenAPI

````yaml put /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/source
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/source:
    put:
      tags:
        - Applications
      operationId: Applications_UpdateSource
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: candidate_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 3
      requestBody:
        x-name: source
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationSourceInfoDto'
        required: true
        x-position: 4
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfApplicationSourceInfoDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ApplicationSourceInfoDto:
      type: object
      additionalProperties: false
      properties:
        origin:
          $ref: '#/components/schemas/Sources'
          description: >-
            The origin of the application. eg `Applied`, `Added`, `Submitted by
            an agency`
        source:
          type: string
          description: The source name. eg `Google`, `LinkedIn`
        contact:
          $ref: '#/components/schemas/ContactInfoDto'
          description: If details of the referral contact if the application was referred.
          nullable: true
        user:
          $ref: '#/components/schemas/UserInfoDto'
          description: If details of the user if the application was added manually.
          nullable: true
        recruiter:
          $ref: '#/components/schemas/RecruiterInfoDto'
          description: >-
            If details of the external recruiter if the application was
            submitted via the agency portal.
          nullable: true
    SingleResponseOfApplicationSourceInfoDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/ApplicationSourceInfoDto'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Sources:
      type: string
      description: ''
      x-enumNames:
        - Added
        - Applied
        - Interested
        - Referred
        - CandidatePool
        - HireHiveImport
        - AgencySubmission
      enum:
        - added
        - applied
        - interested
        - referred
        - candidate_pool
        - hire_hive_import
        - agency_submission
    ContactInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the contact, format `cnt_abc123`
          format: int32
          nullable: true
        name:
          type: string
          description: The name of the contact.
    UserInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user, format `usr_abc123`
          format: int32
          nullable: true
        name:
          type: string
          description: The name of the user.
    RecruiterInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the recruiter, format `Guid`
        name:
          type: string
          description: The name of the recruiter.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````